net.corda.node.services.messaging

## Class ArtemisMessagingComponent.Companion

- net.corda.node.services.messaging.ArtemisMessagingComponent.Companion

- Enclosing class:
    ArtemisMessagingComponent

      public static class ArtemisMessagingComponent.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.common.net.HostAndPort` | `toHostAndPort(MessageRecipients target)` Assuming the passed in target address is actually an ArtemisAddress will extract the host and port of the node. This should only be used in unit tests and the internals of the messaging services to keep addressing opaque for the future. N.B. Marked as JvmStatic to allow use in the inherited classes.

- - ### Method Detail

    - #### toHostAndPort

          public com.google.common.net.HostAndPort toHostAndPort(MessageRecipients target)

      Assuming the passed in target address is actually an ArtemisAddress will extract the host and port of the node. This should only be used in unit tests and the internals of the messaging services to keep addressing opaque for the future. N.B. Marked as JvmStatic to allow use in the inherited classes.